> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameball.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Customer Referrals Count

> Retrieve the total count of customers referred by a specified customer in Gameball, providing the number of completed and pending referrals.

This API retrieves the total count of customers referred by a specified customer in Gameball, providing the number of completed and pending referrals.

<Info>
  **Security**: Requires **apikey** and **secretkey** headers.
</Info>


## OpenAPI

````yaml GET /api/v4.0/integrations/customers/{customerId}/referrals/count
openapi: 3.1.0
info:
  title: Gameball API
  description: >-
    Gameball REST API v4.0 - Complete API reference for integrating loyalty,
    gamification, and customer engagement features
  version: 4.0.0
servers:
  - url: https://api.gameball.co
security:
  - bearerAuth: []
paths:
  /api/v4.0/integrations/customers/{customerId}/referrals/count:
    get:
      summary: Get Customer Referrals Count
      description: >-
        This API retrieves the total count of customers referred by a specified
        customer in Gameball, providing the number of completed and pending
        referrals.
      operationId: getCustomerReferralsCount
      parameters:
        - name: customerId
          in: path
          required: true
          description: >-
            Unique identifier for the customer that you can reference across the
            customer's whole lifetime. Could be a database ID, random string,
            email, or anything that uniquely identifies the customer.
          schema:
            type: string
      responses:
        '200':
          description: Customer referrals count retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerReferralsCountResponse'
              example:
                count: 15
                totalPending: 5
                totalActive: 10
      security:
        - apiKey: []
          secretKey: []
components:
  schemas:
    CustomerReferralsCountResponse:
      type: object
      properties:
        count:
          type: number
          description: >-
            The total number of friends referred by the customer available in
            Gameball system.
        totalPending:
          type: number
          description: >-
            The total number of referred friends who have joined but not yet
            completed the referral criteria in the Gameball system.
        totalActive:
          type: number
          description: >-
            The total number of referred friends who have successfully completed
            the referral criteria in the Gameball system.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    apiKey:
      type: apiKey
      in: header
      name: apikey
    secretKey:
      type: apiKey
      in: header
      name: secretkey

````